.wp-block-table {
	--hsp-hapiburo-table-header-color: #71B800;
	--hsp-hapiburo-table-header-text-color: #ffffff;
}

.wp-block-table thead th {
	background-color: var(--hsp-hapiburo-table-header-color);
	color: var(--hsp-hapiburo-table-header-text-color);
}

.wp-block-table :where(th:not([class*="has-text-align-"]), td:not([class*="has-text-align-"])) {
	text-align: left;
}

.wp-block-table.is-style-stripes tbody tr:nth-child(odd) {
	background-color: #F8F8F8;
}

.article .wp-block-table.is-style-stripes {
	border-bottom: 0;
}

.article .wp-block-table figcaption.wp-element-caption,
.wp-block-table figcaption {
	padding-top: 2px;
	color: #666;
	font-size: 13px;
	line-height: 1.5;
	text-align: right;
}

.block-editor-block-inspector .hsp-hapiburo-table-caption-control {
	padding-right: 16px;
	padding-bottom: 16px;
	padding-left: 16px;
}
